<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HWPFOldDocument (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HWPFOldDocument (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HWPFOldDocument.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html" title="class in org.apache.poi.hwpf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hwpf/OldWordFileFormatException.html"
               title="class in org.apache.poi.hwpf"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hwpf/HWPFOldDocument.html" target="_top">Frames</a></li>
        <li><a href="HWPFOldDocument.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.HWPFDocumentCore">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf</div>
    <h2 title="Class HWPFOldDocument" class="title">Class HWPFOldDocument</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../org/apache/poi/POIDocument.html" title="class in org.apache.poi">org.apache.poi.POIDocument</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                               title="class in org.apache.poi.hwpf">org.apache.poi.hwpf.HWPFDocumentCore</a></li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hwpf.HWPFOldDocument</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable</dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HWPFOldDocument</span>
extends <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html" title="class in org.apache.poi.hwpf">HWPFDocumentCore</a></pre>
                <div class="block">Provides very simple support for old (Word 6 / Word 95)
                    files.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hwpf.HWPFDocumentCore">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hwpf.<a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a></h3>
                                <code><a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_cbt">_cbt</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_fib">_fib</a>, <a
                                            href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_ft">_ft</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_lt">_lt</a>, <a
                                            href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_mainStream">_mainStream</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_objectPool">_objectPool</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_pbt">_pbt</a>, <a
                                            href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_ss">_ss</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#Z:Z_st">_st</a>, <a
                                            href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#FIB_BASE_LEN">FIB_BASE_LEN</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#RC4_REKEYING_INTERVAL">RC4_REKEYING_INTERVAL</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#STREAM_OBJECT_POOL">STREAM_OBJECT_POOL</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#STREAM_TABLE_0">STREAM_TABLE_0</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#STREAM_TABLE_1">STREAM_TABLE_1</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#STREAM_WORD_DOCUMENT">STREAM_WORD_DOCUMENT</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html#HWPFOldDocument-org.apache.poi.poifs.filesystem.DirectoryNode-">HWPFOldDocument</a></span>(<a
                                        href="../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;directory)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html#HWPFOldDocument-org.apache.poi.poifs.filesystem.POIFSFileSystem-">HWPFOldDocument</a></span>(<a
                                        href="../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hwpf/model/FontTable.html"
                                        title="class in org.apache.poi.hwpf.model">FontTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html#getFontTable--">getFontTable</a></span>()</code>
                                    <div class="block">Use <a
                                            href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html#getOldFontTable--"><code>getOldFontTable()</code></a>
                                        instead!!!
                                        This always throws an IllegalArgumentException.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.nio.charset.Charset</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html#getGuessedCharset--">getGuessedCharset</a></span>()</code>
                                    <div class="block">As a rough heuristic (total hack), read through the HPSF,
                                        then read through the font table, and take the first
                                        non-default, non-ansi, non-symbol
                                        font's charset and return that.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hwpf/model/OldFontTable.html"
                                        title="class in org.apache.poi.hwpf.model">OldFontTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html#getOldFontTable--">getOldFontTable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html#getOverallRange--">getOverallRange</a></span>()</code>
                                    <div class="block">Returns the range that covers all text in the file, including
                                        main text,
                                        footnotes, headers and comments
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html#getRange--">getRange</a></span>()</code>
                                    <div class="block">Returns the range which covers the whole of the document, but
                                        excludes
                                        any headers and footers.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.StringBuilder</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html#getText--">getText</a></span>()</code>
                                    <div class="block">Internal method to access document text</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                        title="class in org.apache.poi.hwpf.model">TextPieceTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html#getTextTable--">getTextTable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html#write--">write</a></span>()</code>
                                    <div class="block">Writes the document out to the currently open <code>File</code>,
                                        via the
                                        writeable <a
                                                href="../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                                title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>
                                        it was opened from.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html#write-java.io.File-">write</a></span>(java.io.File&nbsp;out)</code>
                                    <div class="block">Writes the document out to the specified new <code>File</code>.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html#write-java.io.OutputStream-">write</a></span>(java.io.OutputStream&nbsp;out)</code>
                                    <div class="block">Writes the document out to the specified output stream.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hwpf.HWPFDocumentCore">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hwpf.<a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a></h3>
                                <code><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getCharacterTable--">getCharacterTable</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getDocumentEntryBytes-java.lang.String-int-int-">getDocumentEntryBytes</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getDocumentText--">getDocumentText</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getEncryptionInfo--">getEncryptionInfo</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getFileInformationBlock--">getFileInformationBlock</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getListTables--">getListTables</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getMainStream--">getMainStream</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getObjectsPool--">getObjectsPool</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getParagraphTable--">getParagraphTable</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getSectionTable--">getSectionTable</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getStyleSheet--">getStyleSheet</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#updateEncryptionInfo--">updateEncryptionInfo</a>,
                                    <a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#verifyAndBuildPOIFS-java.io.InputStream-">verifyAndBuildPOIFS</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.org.apache.poi.POIDocument">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.<a
                                        href="../../../../org/apache/poi/POIDocument.html"
                                        title="class in org.apache.poi">POIDocument</a></h3>
                                <code><a href="../../../../org/apache/poi/POIDocument.html#clearDirectory--">clearDirectory</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#close--">close</a>, <a
                                            href="../../../../org/apache/poi/POIDocument.html#createInformationProperties--">createInformationProperties</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getDirectory--">getDirectory</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getDocumentSummaryInformation--">getDocumentSummaryInformation</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getEncryptedPropertyStreamName--">getEncryptedPropertyStreamName</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getPropertySet-java.lang.String-">getPropertySet</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getPropertySet-java.lang.String-org.apache.poi.poifs.crypt.EncryptionInfo-">getPropertySet</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getSummaryInformation--">getSummaryInformation</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#initDirectory--">initDirectory</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#readProperties--">readProperties</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#replaceDirectory-org.apache.poi.poifs.filesystem.DirectoryNode-">replaceDirectory</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#validateInPlaceWritePossible--">validateInPlaceWritePossible</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#writeProperties--">writeProperties</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#writeProperties-org.apache.poi.poifs.filesystem.POIFSFileSystem-">writeProperties</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#writeProperties-org.apache.poi.poifs.filesystem.POIFSFileSystem-java.util.List-">writeProperties</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HWPFOldDocument-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HWPFOldDocument</h4>
                                <pre>public&nbsp;HWPFOldDocument(<a
                                        href="../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)
                throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HWPFOldDocument-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HWPFOldDocument</h4>
                                <pre>public&nbsp;HWPFOldDocument(<a
                                        href="../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;directory)
                throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getOverallRange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOverallRange</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getOverallRange()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getOverallRange--">HWPFDocumentCore</a></code></span>
                                </div>
                                <div class="block">Returns the range that covers all text in the file, including main
                                    text,
                                    footnotes, headers and comments
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getOverallRange--">getOverallRange</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                                            title="class in org.apache.poi.hwpf">HWPFDocumentCore</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontTable</h4>
                                <pre><a href="../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;<a href="../../../../org/apache/poi/hwpf/model/FontTable.html" title="class in org.apache.poi.hwpf.model">FontTable</a>&nbsp;getFontTable()</pre>
                                <div class="block">Use <a
                                        href="../../../../org/apache/poi/hwpf/HWPFOldDocument.html#getOldFontTable--"><code>getOldFontTable()</code></a>
                                    instead!!!
                                    This always throws an IllegalArgumentException.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getFontTable--">getFontTable</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                                            title="class in org.apache.poi.hwpf">HWPFDocumentCore</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>nothing</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.UnsupportedOperationException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOldFontTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOldFontTable</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hwpf/model/OldFontTable.html"
                                                    title="class in org.apache.poi.hwpf.model">OldFontTable</a>&nbsp;getOldFontTable()</pre>
                            </li>
                        </ul>
                        <a name="getRange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRange</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                                    title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;getRange()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getRange--">HWPFDocumentCore</a></code></span>
                                </div>
                                <div class="block">Returns the range which covers the whole of the document, but
                                    excludes
                                    any headers and footers.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getRange--">getRange</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                                            title="class in org.apache.poi.hwpf">HWPFDocumentCore</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextTable</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                                    title="class in org.apache.poi.hwpf.model">TextPieceTable</a>&nbsp;getTextTable()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getTextTable--">getTextTable</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                                            title="class in org.apache.poi.hwpf">HWPFDocumentCore</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.StringBuilder&nbsp;getText()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getText--">HWPFDocumentCore</a></code></span>
                                </div>
                                <div class="block">Internal method to access document text</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getText--">getText</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                                            title="class in org.apache.poi.hwpf">HWPFDocumentCore</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="write--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>write</h4>
                                <pre>public&nbsp;void&nbsp;write()
           throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/POIDocument.html#write--">POIDocument</a></code></span>
                                </div>
                                <div class="block">Writes the document out to the currently open <code>File</code>, via
                                    the
                                    writeable <a href="../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                                 title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>
                                    it was opened from.

                                    <p>This will fail (with an <code>IllegalStateException</code> if the
                                        document was opened read-only, opened from an <code>InputStream</code>
                                        instead of a File, or if this is not the root document. For those cases,
                                        you must use <a
                                                href="../../../../org/apache/poi/POIDocument.html#write-java.io.OutputStream-"><code>POIDocument.write(OutputStream)</code></a>
                                        or
                                        <a href="../../../../org/apache/poi/POIDocument.html#write-java.io.File-"><code>POIDocument.write(File)</code></a>
                                        to
                                        write to a brand new document.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/POIDocument.html#write--">write</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/POIDocument.html"
                                                            title="class in org.apache.poi">POIDocument</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - thrown on errors writing to the file</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="write-java.io.File-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>write</h4>
                                <pre>public&nbsp;void&nbsp;write(java.io.File&nbsp;out)
           throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/POIDocument.html#write-java.io.File-">POIDocument</a></code></span>
                                </div>
                                <div class="block">Writes the document out to the specified new <code>File</code>. If
                                    the file
                                    exists, it will be replaced, otherwise a new one will be created
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../org/apache/poi/POIDocument.html#write-java.io.File-">write</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/POIDocument.html"
                                                            title="class in org.apache.poi">POIDocument</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - The new File to write to.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - thrown on errors writing to the file</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="write-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>write</h4>
                                <pre>public&nbsp;void&nbsp;write(java.io.OutputStream&nbsp;out)
           throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../org/apache/poi/POIDocument.html#write-java.io.OutputStream-">POIDocument</a></code></span>
                                </div>
                                <div class="block">Writes the document out to the specified output stream. The
                                    stream is not closed as part of this operation.

                                    Note - if the Document was opened from a <code>File</code> rather
                                    than an <code>InputStream</code>, you <b>must</b> write out using
                                    <a href="../../../../org/apache/poi/POIDocument.html#write--"><code>POIDocument.write()</code></a>
                                    or to a different File. Overwriting the currently
                                    open file via an OutputStream isn't possible.

                                    If <code>stream</code> is a <code>FileOutputStream</code> on a networked drive
                                    or has a high cost/latency associated with each written byte,
                                    consider wrapping the OutputStream in a <code>BufferedOutputStream</code>
                                    to improve write performance, or use <a
                                            href="../../../../org/apache/poi/POIDocument.html#write--"><code>POIDocument.write()</code></a>
                                    / <a href="../../../../org/apache/poi/POIDocument.html#write-java.io.File-"><code>POIDocument.write(File)</code></a>
                                    if possible.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/POIDocument.html#write-java.io.OutputStream-">write</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/POIDocument.html"
                                                            title="class in org.apache.poi">POIDocument</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - The stream to write to.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - thrown on errors writing to the stream</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getGuessedCharset--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getGuessedCharset</h4>
                                <pre>public&nbsp;java.nio.charset.Charset&nbsp;getGuessedCharset()</pre>
                                <div class="block">As a rough heuristic (total hack), read through the HPSF,
                                    then read through the font table, and take the first
                                    non-default, non-ansi, non-symbol
                                    font's charset and return that.

                                    Once we figure out how to link a font to a text piece, we should
                                    use the font information per text piece.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>charset</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HWPFOldDocument.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hwpf/HWPFDocumentCore.html" title="class in org.apache.poi.hwpf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hwpf/OldWordFileFormatException.html"
               title="class in org.apache.poi.hwpf"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hwpf/HWPFOldDocument.html" target="_top">Frames</a></li>
        <li><a href="HWPFOldDocument.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.HWPFDocumentCore">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
